#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xED,0x56,0x73,0x45,0xF4,0x2D,0xD0,0x90,0x33,0x5D,0xEE,0x0A,
		0x4F,0x9C,0x20,0x2D,0x73,0x47,0xA9,0xCF,0xB0,0x45,0x0E,0x4B,
		0x2C,0xB9,0xD0,0x02,0x79,0x23,0xFB,0x19,0x70,0x24,0x64,0xF0,
		0xC9,0x73,0x30,0x98,0x85,0xD2,0x59,0x92,0x61,0x23,0x7F,0x89,
		0xEE,0xEE,0x36,0xA3,0x19,0x59,0x73,0x8C,0x41,0x04,0x51,0x6A,
		0x96,0xBE,0x48,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
